GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Protected Member Functions | Friends
grpc::lock_guard< mutex > Class Template Reference

`#include <sync_no_cxx11.h>`

## Public Member Functions
| lock_guard (mutex &mu)
| ~lock_guard ()

## Protected Member Functions
void | lock_internal ()
void | unlock_internal ()

## Friends
class | condition_variable

## Constructor & Destructor Documentation

template<class mutex>

grpc::lock_guard< mutex >::lock_guard | ( | mutex & | mu | ) |
| inline

template<class mutex>

grpc::lock_guard< mutex >::~lock_guard | ( |  | ) |
| inline

## Member Function Documentation

template<class mutex>

void grpc::lock_guard< mutex >::lock_internal | ( |  | ) |
| inline protected

template<class mutex>

void grpc::lock_guard< mutex >::unlock_internal | ( |  | ) |
| inline protected

## Friends And Related Function Documentation

template<class mutex>

friend class condition_variable
| friend

The documentation for this class was generated from the following file:

- include/grpc++/impl/sync_no_cxx11.h